EPiServer CMS 5 and Vista / IIS7

cjo
cjo
Vote:
 

Hi!

I am having some troubles running EPiServer CMS 5 on Vista. I've got site up and running but the FriendlyURL implementation is not working.

Here is the exception that gets thrown:
_____________________________________

TTP Error 404.0 - Not Found

Description: The resource you are looking for has been removed, had its name changed, or is temporarily unavailable.

Error Code: 0x80070002

Notification: MapRequestHandler

Module: IIS Web Core

Requested URL: http://rumid:80/kalender/

Physical Path: D:\Projects\EPiServer\SRC\RUMID\EM.CMS.Web\kalender\

Logon User: Anonymous

Logon Method: Anonymous

Handler: StaticFile

_____________________________________

I am running the site using Classic .NET AppPool pooling.

Does anyone have an idea?!

Thanks in advance,
Christian 

 

  

 

 

#19524
Apr 15, 2008 11:19
cjo
Vote:
 

Hi again,

I also tried the approach described in this blog, http://labs.episerver.com/en/Blogs/Ruwen/Dates/112201/112202/112449/.

But with these settings i only get blank pages when trying to access the site.

 /Christian

#19525
Apr 15, 2008 11:22
Vote:
 

Having the same problem, also tried the link mentioned above with no luck! :(

 // T

#23450
Sep 05, 2008 17:36
Vote:
 

Check:
http://world.episerver.com/Forum/Pages/Thread.aspx?id=22292&epslanguage=en

Try add that ".*" mapping to your IIS.
Properties > Home directory > Configuration > Mappings

Maybe that will help.

 

:)

#23497
Sep 08, 2008 9:23
Vote:
 
Probably "Properties > Home directory > Configuration > Mappings" is not correct path to that mappings in IIS7 but you get the idea?
#23498
Sep 08, 2008 9:27
Vote:
 

Hi all!

Here's a great blogpost about how to change the mappings in IIS7. Thanks Anton for the tip! I worked!

Wildcard Mapping and URL Rewriting on IIS7

#27538
Feb 02, 2009 14:52
Vote:
 

Just to clarify a few things for new readers. EPiServer CMS 5 R1 did not support IIS 7 officially, hence the hacks and using "Classic Mode".

EPiServer CMS 5 R2 fully supports IIS 7 in the new "Integrated Mode", if you use the installer it will set up everything correctly for you. Wildcard mapping is not required in R2 and you should not be using "Classic Mode" if you don't have a good reason for it.

#27544
Feb 02, 2009 16:23
Vote:
 

You could try to install all Windows features for IIS7 as well!? IIS 6 compability and so on. We do not support IIS7 in earlier EPiServer CMS 5 verions like Per Bjurström already said but you could make it work if you do exactlly what Ruwen says in his blog mentioned above and if you have all features for iis7 installed.

I've used Vista and episerver for almost 2 years now and the "famous" Ruwen soultion is the way to go :) http://labs.episerver.com/en/Blogs/Ruwen/Dates/2008/112202/Run-EPiServer-Manager-under-Vista/

If you have no luck installing please try the latest EPiServer CMS 5.

#27559
Feb 02, 2009 22:28
Vote:
 

Morning,

Hmm, Finding that IIS 7.0 is not supported in previous version is not fun.

In my case, I have an existing R2 site that I want to restore on IIS7.

-installed a base site using deployment center ( i find this creates ur IIS site and VPP security properly)

- have set IIS  7.0 to classic mode

My home page half renders, but any navigation to other pages results in the orig entry created in this forum.

Module IIS Web Core
Notification MapRequestHandler
Handler StaticFile
Error Code 0x80070002

 Any ideas?

Steven

 

#31273
Jul 16, 2009 13:12
Vote:
 

According to the page at url :

http://world.episerver.com/en/Documentation/Items/Installation-Instructions/EPiServer-CMS/Installation-Instructions---EPiServer-CMS-5-R2-SP21/

Web Site base on EPiServer Demo Templates Package
The Demo Templates package for R2 is now released, see the Demo Package Installation Instructions for further information.

for DemoTemplates.msi but there is no download for R2 SP2. any ideas where that can be or when it will be avail?

Regards

Steven

#31275
Jul 16, 2009 18:04
Vote:
 

I do not know the timeframe for a new Demo Templates Package but you can use the R2 SP1 templates untill they are released. Check Fredriks blog for more information about the issue.

#31277
Jul 17, 2009 8:21